# Disable debuginfo or else we get a build failure from RPM.
%define debug_package %{nil}

%define pkg_desc Within the AstroAsciiData project we envision a module which can be used to work\
on all kinds of ASCII tables. The module provides a convenient tool such that\
the user easily can:\
\
  * read in ASCII tables;\
  * manipulate table elements;\
  * save the modified ASCII table;\
  * read and write meta data such as column names and units;\
  * combine several tables;\
  * delete/add rows and columns;\
  * manage metadata in the table headers.

Name:           scisoft-python-asciidata
Version:        1.1.1
Release:        1%{?dist}
Summary:        ASCII tables in Astronomy and Science
Distribution:   Scisoft
License:        Distributable
Group:          Applications/Scientific
Packager:       Carlos Guirao <cguirao@eso.org>
URL:            http://www.stecf.org/software/PYTHONtools/astroasciidata/
Source0:        https://www.stecf.org/software/PYTHONtools/astroasciidata/source/asciidata-%{version}.tar.gz
Source1:        https://www.stecf.org/software/PYTHONtools/astroasciidata/manual/asciidata_%{version}.eps.gz
Source2:        https://www.stecf.org/software/PYTHONtools/astroasciidata/manual/asciidata_%{version}.pdf

BuildArch:      noarch
BuildRequires:  python2-devel

%description
%{pkg_desc}


%package -n scisoft-python2-asciidata
Summary:    %{summary}
Provides:   scisoft-python-asciidata

%description -n scisoft-python2-asciidata
%{pkg_desc}


%prep
%autosetup -n asciidata-%{version}
cp %{SOURCE2} asciidata_%{version}.pdf
gunzip < %{SOURCE1} > asciidata_%{version}.eps

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

%files -n scisoft-python2-asciidata
%doc README asciidata_%{version}.pdf asciidata_%{version}.eps
%{python2_sitelib}/*


%changelog
* Tue Feb 20 2018 Artur Szostak <aszostak@partner.eso.org> 1.1.1
- Migrating to the new automated build system.
- Updating to the latest standards for Python library packaging for RPMs.

* Tue Oct 18 2016 Artur Szostak <aszostak@partner.eso.org> 1.1.1-3
- Adding missing build dependencies.

* Mon Dec 16 2013 <cguirao@eso.org>
- adapted to SCISOFT
